#!/bin/sh
#
#	@(#)wnn7.sh 1.01 2001/10/10
#	(c) Copyright OMRON SOFTWARE Co., Ltd. 2001
#

pid=`ps -a | grep jserver | grep -v grep | sed -e 's/^  *//' -e 's/ .*//'`

case $1 in
'start')
	if [ "${pid}" = "" ]
	then
		if [ -x /usr/local/bin/jserver ]
		then
			/usr/local/bin/jserver > /dev/null
			echo -n ' jserver(Wnn7)'
		else
			echo -n " jserver(Wnn7) non exist,"
		fi
	else
		echo -n " jserver(Wnn7) already started,"
	fi
	;;
'stop')
	if [ "${pid}" != "" ]
	then
		/bin/kill ${pid}
		echo ' jserver(Wnn7) stopped'
	fi
	;;
*)
	echo "usage: /usr/local/etc/rc.d/wnn7.sh {start|stop}"
	;;
esac

